Package org.flowable.bpmn.model

# Class EventListener

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.EventListener

All Implemented Interfaces:
  `HasExtensionAttributes`

public class EventListener extends BaseElement
Element for defining an event listener to hook in to the global event-mechanism.

Author:
  Frederik Heremans, Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `entityType`
  `protected String`
  `events`
  `protected String`
  `implementation`
  `protected String`
  `implementationType`
  `protected String`
  `onTransaction`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventListener`
  `clone()`
  `String`
  `getEntityType()`
  `String`
  `getEvents()`
  `String`
  `getImplementation()`
  `String`
  `getImplementationType()`
  `String`
  `getOnTransaction()`
  `void`
  `setEntityType(String entityType)`
  `void`
  `setEvents(String events)`
  `void`
  `setImplementation(String implementation)`
  `void`
  `setImplementationType(String implementationType)`
  `void`
  `setOnTransaction(String onTransaction)`
  `void`
  `setValues(EventListener otherListener)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### events

    protected String events

  - ### implementationType

    protected String implementationType

  - ### implementation

    protected String implementation

  - ### entityType

    protected String entityType

  - ### onTransaction

    protected String onTransaction

- ## Constructor Details

  - ### EventListener

    public EventListener()

- ## Method Details

  - ### getEvents

    public String getEvents()

  - ### setEvents

    public void setEvents(String events)

  - ### getImplementationType

    public String getImplementationType()

  - ### setImplementationType

    public void setImplementationType(String implementationType)

  - ### getImplementation

    public String getImplementation()

  - ### setImplementation

    public void setImplementation(String implementation)

  - ### setEntityType

    public void setEntityType(String entityType)

  - ### getEntityType

    public String getEntityType()

  - ### getOnTransaction

    public String getOnTransaction()

  - ### setOnTransaction

    public void setOnTransaction(String onTransaction)

  - ### clone

    public EventListener clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(EventListener otherListener)